Subject: [MBONED] draft-ietf-pim-igmp-mld-snooping-yang

From: "Holland, Jake" <[email-masked]>
Date: Thu, 28 Mar 2019 10:17:25 +0000

Looks mostly good to me, assuming the schema is well-tested by operators. I like the examples and the network diagrams to support them, thanks.

I support wglc.

A few minor comments:

1.
I was unclear on the meaning here:
      leaf last-reporter {
        type inet:ipv4-address;
        description
          "Address of the last host which has sent report to join
           the multicast group.";
      }

Is this the most recent host that became a new member of the group, or the last host to send any membership report that indicates it’s a member of the group? (The “report to join” clause could be read either way, I think.)

2.
I saw some instances of wrong capitalization, with “IPV4” and “IPV6” instead of “IPv4” and “IPv6”.